View Issue Details

IDProjectCategoryView StatusLast Update
0017763MediaMonkey 5Main Panelpublic2022-11-16 19:45
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0.4Fixed in Version5.0.4 
Summary0017763: Mouse lasso selection fails when started below the list component
DescriptionWhen left-click to start mouse lasso selection is started below the list component (in the empty area) then it fails to start the selection, more at:
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98819
Additional InformationTicket 1549
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99126
https://www.mediamonkey.com/forum/viewtopic.php?p=483373#p483373
https://www.mediamonkey.com/forum/viewtopic.php?f=33&t=99464
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99616
https://www.mediamonkey.com/forum/viewtopic.php?f=33&t=100871
TagsNo tags attached.
Fixed in build2686

Relationships

related to 0017029 newpetr Grid view: Mouse (lasso) selection missing due the UI design 
related to 0015293 closedpetr Mouse (lasso) Selection fails in several cases 
related to 0019173 closedLudek Click on empty area of main tracklist should give focus to it 
has duplicate 0017816 resolvedpetr Mouse gesture: Mouse Selection in Folders view do not work 
related to 0017599 closedLudek Clicking in empty space below tracklist does not cause it to be focused 
related to 0019481 closedLudek Extra scrollbar is added after maximizing/minimizing window (regression 5.0.4) 
related to 0019563 closedpetr List (by Album) views: Mouse-based drag-select (lasso) selects all tracks/no tracks (regression) 

Activities

Ludek

2021-05-24 19:46

developer   ~0063428

Last edited: 2021-05-24 19:47

I have prepared code for this and backed up to SVN as revision 38030
By activating this code the last component in the scroller will always take the remaining space (below the last component).

Nevertheless it does not solve the original issue as I found that lasso selection currently fails whenever it is started below the last item in the tracklist (even if it is started within this tracklist component).
As prove I used 'Playing' panel (on-the-right) switched to "List" mode: https://www.dropbox.com/s/b9p33yhf8swsc0o/screenshot%202021-05-24%2021.44.47.png?dl=0
As you can see on the screen shot it fills up the whole 'Playing' panel, but the lasso selection still fails when it is started below the list.

It seems a more general issue, assigned to Petr (creator of the lasso selection to look into it)

Ludek

2022-06-28 20:59

developer   ~0068728

Fixed in 5.0.4.2656

peke

2022-07-04 22:14

developer   ~0068775

Verified 2656

lowlander

2022-11-15 21:04

developer   ~0070323

This fails in Browser View, while it works in List View on 2684.

Ludek

2022-11-15 21:12

developer   ~0070324

As discussed over IM: I cannot replicate, please add screencast video.

Ludek

2022-11-15 21:17

developer   ~0070326

Ahh, ok, my bad, I was really in List view and not in Browser view
OK, Album [Browser] still have this issue, thx

Ludek

2022-11-15 22:57

developer   ~0070331

Fixed in 2686

lowlander

2022-11-16 19:38

developer   ~0070350

Verified on 2686.

However in List (by Album) you can't start lasso on/under list in the Artwork or Summary columns. So neither within the list or in the empty space under list can a mouse selection be started in these 2 columns.

lowlander

2022-11-16 19:45

developer   ~0070351

Issue is already tracked as D in 0019563.